#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdbool.h>


unsigned int N;		//.   .
ISR(TIMER1_CAPT_vect)
{
	N = ICR1;
	TCNT1=0;
	
}
ISR(TIMER1_OVF_vect)
{
	N=0xFFFF;
}

#include <Func.c>



const float T_clc_time = 1.0/(8000000.0/64.0);	//   .
const int N_V=2;			//   
//int k=0;// 

int main(void)
{
unsigned int V=0;	//  .
unsigned char Integ; // 


TCCR1B |= 1<<CS10|1<<CS11|1<<ICES1; 	// 64,   
TIMSK |= 1<<TICIE1|1<<TOIE1;	//     .
DDRB |= 1<<0;
asm("sei");

	while(1)
	{
		V=Math(N, T_clc_time, N_V);
		Integ=IN_integ(PIND, 2);
		//  
		if(Integ){PORTB|=1<<0;}else{PORTB&=~(1<<0);}

	}

return 0;
}
